JED(1)

NOM
JED — Un éditeur pour les programmeurs

SYNOPSIS
jed --version
jed-script --version
xjed --version

jed [--secure] [--batch|--script|--help] [options] fichier ...
jed-script [--secure] fichier_script [options_script] ...
xjed [--secure] [X options] [--batch|--script|--help] [options]

DESCRIPTION
JED — Un éditeur pour les programmeurs

Fonctionnalités :

Mise en évidence de la syntaxe par coloration, émulation des éditeurs Emacs, EDT, Wordstar et Brief, extensible dans un langage ressemblant au C, entièrement personnalisable, édition des fichiers TeX dans le style d’édition AUC-TeX (BiBTeX est aussi pris en charge), prise en charge des dossiers et bien plus encore.

Pour une documentation complète, voir les fichiers GNU info ; ce manuel n’est qu’un bref didacticiel.

OPTIONS

  Options principales

--version
    afficher la version et les options de compilation.
--help
    afficher un message d’utilisation.
--secure
    exécuter jed en mode sécurisé ; c’est à dire que vous ne pouvez pas exécuter de commande externe à l’aide de system() ou run_shell_cmd().
--batch
    exécuter jed en mode traitement par lots. Ce mode est non interactif.
--script
    il s’agit d’un mode similaire à --batch, excepté que jed n’interprète pas les fichiers de démarrage. Il se comporte comme slsh(1). Vous devez spécifier le fichier qui doit être interprété comme second argument. Cela revient à invoquer jed-script.

  Options secondaires

-n
    ne pas charger le fichier .jedrc.
-a fichier
    charger le fichier spécifié en tant que fichier de configuration de l’utilisateur à la place de .jedrc.
-e
    définir le type d’émulation. Dans Debian, le type par défaut est « emacs ». Les autres valeurs possibles sont « vi », « cua » et « ide ».
+ n
    aller à la ligne n dans le tampon (pour que cette option fonctionne, elle doit apparaître avant le nom de fichier dans la ligne de commande, comme dans jed +3 fichier).
-g n
    aller à la ligne n dans le tampon (pour que cette option fonctionne, elle doit apparaître après le nom de fichier dans la ligne de commande, comme dans jed fichier -g 3).
-l fichier
    charger le fichier spécifié en tant que code S-Lang.
-f fonction
    exécuter la fonction S-Lang spécifiée.
-s chaîne
    rechercher la chaîne spécifiée vers le bas.
-2
    diviser la fenêtre.
-i fichier
    insérer le fichier spécifié dans le tampon actuel.

  Options pour X
xjed accepte les options classiques comme -display, -name, fn et -geometry. Il accepte aussi les options suivantes :

-facesize TAILLE, -fs TAILLE
    si xjed a été compilé avec la prise en charge de XRENDERFONT, cette option permet de spécifier la TAILLE de la fonte. En combinaison avec l’option -fn, elle permet de sélectionner une fonte vectorielle.
-foreground COULEUR, -fg COULEUR
    définir la couleur d’avant-plan.
-background COULEUR, -bg COULEUR
    définir la couleur d’arrière-plan.
-fgMouse COULEUR, -mfg COULEUR
    définir la couleur d’avant-plan du pointeur de la souris.
-bgMouse COULEUR, -mbg COULEUR
    définir la couleur d’arrière-plan du pointeur de la souris.
-Iconic, -ic
    démarrer en mode icône.
-title TITRE
    attribuer à la fenêtre le TITRE spécifié.

Pour d’autres options, consulter xterm.c.

CONFIGURATION
    Émulation d’autres éditeurs

La capacité qu’a JED de créer de nouvelles fonctions en utilisant le langage de programmation S-Lang, et la possibilité pour l’utilisateur de choisir des raccourcis clavier permettent d’envisager l’émulation d’autres éditeurs. Actuellement, JED fournit une émulation correcte des éditeurs Emacs, EDT et Wordstar.

    Émulation d’Emacs

L’Émulation d’Emacs est fournie par le code S-Lang contenu dans emacs.sl. L’émulation prend en charge les fonctionnalités basiques d’Emacs ; la plupart des utilisateurs d’Emacs ne devraient avoir aucun problème avec JED. Pour activer l’émulation d’Emacs dans JED, assurez-vous que la ligne :

    () = evalfile ("emacs");

est présente dans votre fichier de démarrage jed.rc (.jedrc). JED est distribué avec cette ligne déjà présente dans le fichier par défaut jed.rc.

    Émulation d’EDT

Pour l’émulation d’EDT, le fichier edt.sl doit être chargé. Pour ce faire, assurez-vous que la ligne :

    () = evalfile ("edt");

est présente dans le fichier de démarrage jed.rc (.jedrc).

    Émulation de Wordstar

Le fichier wordstar.sl contient le code S-Lang pour l’émulation de Wordstar par JED. Ajouter la ligne

    () = evalfile ("wordstar");

à votre fichier de démarrage jed.rc (.jedrc) active l’émulation de Wordstar par JED.

EXÉCUTION

    Ligne d’état et fenêtres

JED peut gérer plusieurs fenêtres. Chacune d’entre elles peut contenir le même tampon ou des tampons différents. Une ligne d’état est affichée immédiatement en dessous de chaque fenêtre. Cette ligne contient des informations telles que le numéro de version de JED, le nom du tampon, le mode, etc. Surveillez les indicateurs suivants :

**
    Le tampon a été modifié depuis la dernière sauvegarde.
%%
    Le tampon est en lecture seule.
m
    Indicateur de définition de marque. Cela signifie qu’une région est en cours de définition.
d
    Indicateur de modification du fichier sur le disque. Le fichier associé au tampon est plus récent que le tampon lui-même.
s
    Indicateur d’enregistrement de la position du curseur.
+
    La possibilité d’annuler la dernière opération est activée pour le tampon.
[Narrow]
    Le tampon est réduit à un certain nombre de lignes (LINES).
[Macro]
    Une macro est en cours de définition.

    Mini-Buffer.

Le Mini-Buffer consiste en une seule ligne située au bas de l’écran. La plupart des dialogues entre l’utilisateur et JED apparaissent dans cette ligne. Pour la recherche d’une chaîne, par exemple, JED vous invite à saisir la chaîne recherchée dans le Mini-Buffer.

Le Mini-Buffer fournit aussi un lien direct vers l’interpréteur S-Lang. Pour accéder à l’interpréteur, tapez Ctrl-X Esc et l’invite S-Lang> apparaîtra dans le Mini-Buffer. Vous pourrez alors saisir toute expression S-Lang valable pour une évaluation par l’interpréteur.

Il est possible de naviguer entre les données précédemment entrées dans le Mini-Buffer en utilisant les touches fléchées haut et bas. Cela permet d’utiliser et éditer les expressions précédentes de manière pratique et efficace.

    Édition de base

Éditer avec JED est assez facile — la plupart des touches insèrent ce qu’elles représentent. Les déplacements dans le tampon s’effectuent en général à l’aide des touches fléchées ou « Page précédente » et « Page suivante ». Si edt.sl est chargé, les pavés numériques des terminaux VTxxx fonctionneront aussi. Seuls les points principaux sont abordés ici (les opérations de type couper/coller ne sont pas considérées comme des « points principaux »). Dans ce qui suit, tout caractère préfixé du caractère « ^ » dénote un caractère de contrôle. Pour les claviers ne possédant pas de touche d’échappement explicite, Ctrl-[  permet en général de générer un caractère d’échappement.

Un argument préfixe à une commande peut être généré en tapant tout d’abord la touche « Echap », puis le nombre suivi de la touche souhaitée. En général, l’argument préfixe s’utilise simplement pour la répétition. Par exemple, pour se déplacer vers la droite de 40 caractères, on tapera « Esc 4 0 » suivi de la touche flèche droite. Cet exemple montre l’utilisation de l’argument préfixe pour la répétition. L’argument préfixe peut cependant aussi être utilisé de manière différente. Par exemple, pour commencer la définition d’une région, on tapera Ctrl-@, ce qui a pour effet de définir la marque et de débuter la mise en évidence. Taper Ctrl-@ avec un argument préfixe interrompt l’acte de définition d’une région et dépile la marque.

La liste de raccourcis clavier utiles suivante présuppose que emacs.sl a été chargé.

Ctrl-L
    Rafraîchir l’écran.
Ctrl-_
    Annuler la dernière opération (Contrôle-soulignement, ou Ctrl-X u').
Esc q
    Reformater le paragraphe (mode repli). Utilisé avec un argument préfixe, ce raccourci justifie aussi le paragraphe.
Esc n
    Réduire le paragraphe (mode repli). Utilisé avec un argument préfixe, ce raccourci justifie aussi le paragraphe.
Esc ;
    Insérer un commentaire dans le langage utilisé (Fortran et C).
Esc \
    Supprimer les espaces autour des points.
Esc !
    Exécuter une commande d’interpréteur.
Esc $
    Vérifier l’orthographe du mot avec ispell(1).
Ctrl-X ?
    Afficher les numéros de ligne et de colonne.
`
    Insertion « guillemétée » — insérer le caractère suivant tel quel (touche guillemet simple inversé).
Esc s
    Centrer la ligne
Esc u
    Mettre le mot en capitales.
Esc d
    Mettre le mot en minuscules.
Esc c
    Mettre une majuscule au mot.
Esc x
    Obtenir l’invite du Mini-Buffer M-x avec complètement des commandes.
Ctrl-X Ctrl-B
    Afficher la liste des tampons.
Ctrl-X Ctrl-C
    Quitter JED.
Ctrl-X 0
    Supprimer la fenêtre actuelle.
Ctrl-X 1
    Une seule fenêtre.
Ctrl-X 2
    Dupliquer la fenêtre.
    Ctrl-X o
    Aller dans la fenêtre suivante.
Ctrl-X b
    Changer de tampon.
Ctrl-X k
    Supprimer le tampon.
Ctrl-X s
    Enregistrer un tampon.
Ctrl-X Esc
    Obtenir l’invite « S-Lang> pour l’interface avec l’interpréteur S-Lang.
Esc .
    Trouver un symbole.
Ctrl-@
    Définir la marque (début de définition d’une région). Utilisé avec un argument préfixe, ce raccourci interrompt l’acte de définition d’une région et dépile la marque.

FICHIERS
JED_ROOT/lib/*.sl
    Ce sont les fichiers slang par défaut pour l’exécution de JED (des paquets comme jed-extra peuvent définir des répertoires de bibliothèques slang supplémentaires).
JED_ROOT/lib/site.sl
    Le fichier de démarrage par défaut.
/etc/jed.d/*.sl
    Les fichiers de configuration globaux (il s’agit d’une particularité de Debian).
~/.jedrc
    Le fichier de configuration de l’utilisateur ou
~/.jed/jed.rc
    le fichier de configuration de l’utilisateur si le répertoire JED de l’utilisateur ~/.jed/ existe.

AUTEUR
John E. Davis <jed@jedsoft.org>
    L’auteur de JED

... Ce document a été converti en nroff(1) par « Boris D. Beletsky » <borik@isracom.co.il>

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.